Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XMLSchemaValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XMLSchemaValidator

public class XMLSchemaValidator
extends java.lang.Object
implements XMLComponent, XMLDocumentFilter, weblogic.apache.xerces.impl.xs.identity.FieldActivator, RevalidationHandler

The XML Schema validator. The validator implements a document filter: receiving document events from the scanner; validating the content and structure; augmenting the InfoSet, if applicable; and notifying the parser of the information resulting from the validation process.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/validation
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-resolver

Inner Class Summary
`protected class` | `XMLSchemaValidator.KeyRefValueStore` Key reference value store.
`protected class` | `XMLSchemaValidator.KeyValueStore` Key value store.
`protected class` | `XMLSchemaValidator.LocalIDKey`
`protected class` | `XMLSchemaValidator.UniqueValueStore` Unique value store.
`protected class` | `XMLSchemaValidator.ValueStoreBase` Value store implementation base class.
`protected class` | `XMLSchemaValidator.ValueStoreCache` Value store cache.
`protected static class` | `XMLSchemaValidator.XPathMatcherStack` Stack of XPath matchers for identity constraints.

Field Summary
`protected static java.lang.String` | `ALLOW_JAVA_ENCODING` Feature identifier: whether to recognize java encoding names
`protected static java.lang.String` | `DYNAMIC_VALIDATION` Feature identifier: dynamic validation.
`protected static java.lang.String` | `ENTITY_MANAGER`
`static java.lang.String` | `ENTITY_RESOLVER` Property identifier: entity resolver.
`static java.lang.String` | `ERROR_REPORTER` Property identifier: error reporter.
`protected AugmentationsImpl` | `fAugmentations`
`protected java.lang.String` | `fBaseURI` Base URI for the DOM revalidation
`protected ElementPSVImpl` | `fCurrentPSVI` current PSVI element info
`protected XMLString` | `fDefaultValue`
`protected XMLDocumentHandler` | `fDocumentHandler` Document handler.
`protected XMLDocumentSource` | `fDocumentSource`
`protected boolean` | `fDoValidation`
`protected boolean` | `fDynamicValidation`
`protected ElementPSVImpl` | `fElemPSVI` PSV infoset information for element
`protected boolean` | `fEntityRef`
`protected XMLEntityResolver` | `fEntityResolver` Entity resolver
`protected java.lang.String` | `fExternalNoNamespaceSchema`
`protected java.lang.String` | `fExternalSchemas`
`protected boolean` | `fFullChecking`
`protected XMLGrammarPool` | `fGrammarPool`
`protected boolean` | `fInCDATA`
`protected java.lang.Object` | `fJaxpSchemaSource`
`protected java.util.Hashtable` | `fLocationPairs`
`protected XMLSchemaValidator.XPathMatcherStack` | `fMatcherStack` Stack of active XPath matchers for identity constraints.
`protected boolean` | `fNamespaces`
`protected weblogic.apache.xerces.impl.xs.XMLSchemaLoader.LocationArray` | `fNoNamespaceLocationArray`
`protected boolean` | `fNormalizeData`
`protected boolean` | `fSchemaElementDefault`
`protected boolean` | `fSeenRoot`
`protected SymbolTable` | `fSymbolTable` Symbol table.
`protected boolean` | `fValidation` Validation.
`protected ValidationManager` | `fValidationManager`
`protected ValidationState` | `fValidationState`
`protected XMLSchemaValidator.ValueStoreCache` | `fValueStoreCache` Cache of value stores for identity constraint fields.
`protected XSDDescription` | `fXSDDescription` Schema Grammar Description passed, to give a chance to application to supply the Grammar
`protected weblogic.apache.xerces.impl.xs.XMLSchemaValidator.XSIErrorReporter` | `fXSIErrorReporter` Error reporter.
`protected static int` | `ID_CONSTRAINT_NUM`
`protected static java.lang.String` | `JAXP_SCHEMA_SOURCE` Property identifier: JAXP schema source.
`protected static java.lang.String` | `NAMESPACES`
`protected static java.lang.String` | `NORMALIZE_DATA` Feature identifier: expose schema normalized value
`protected static java.lang.String` | `SCHEMA_ELEMENT_DEFAULT` Feature identifier: send element default value via characters()
`protected static java.lang.String` | `SCHEMA_FULL_CHECKING` Feature identifier: schema full checking
`protected static java.lang.String` | `SCHEMA_LOCATION` Property identifier: schema location.
`protected static java.lang.String` | `SCHEMA_NONS_LOCATION` Property identifier: no namespace schema location.
`protected static java.lang.String` | `SCHEMA_VALIDATION` Feature identifier: validation.
`static java.lang.String` | `SYMBOL_TABLE` Property identifier: symbol table.
`protected static java.lang.String` | `VALIDATION` Feature identifier: validation.
`protected static java.lang.String` | `VALIDATION_MANAGER`
`static java.lang.String` | `XMLGRAMMAR_POOL` Property identifier: grammar pool.

Constructor Summary
`XMLSchemaValidator()` Default constructor.

Method Summary
`weblogic.apache.xerces.impl.xs.identity.XPathMatcher` | `activateField(weblogic.apache.xerces.impl.xs.identity.Field field, int initialDepth)` Request to activate the specified field.
`boolean` | `characterData(java.lang.String data, Augmentations augs)`
`void` | `characters(XMLString text, Augmentations augs)` Character content.
`void` | `comment(XMLString text, Augmentations augs)` A comment.
`void` | `doctypeDecl(java.lang.String rootElement, java.lang.String publicId, java.lang.String systemId, Augmentations augs)` Notifies of the presence of the DOCTYPE line in the document.
`void` | `elementDefault(java.lang.String data)`
`void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augs)` An empty element.
`void` | `endCDATA(Augmentations augs)` The end of a CDATA section.
`void` | `endDocument(Augmentations augs)` The end of the document.
`void` | `endElement(QName element, Augmentations augs)` The end of an element.
`void` | `endGeneralEntity(java.lang.String name, Augmentations augs)` This method notifies the end of a general entity.
`void` | `endPrefixMapping(java.lang.String prefix, Augmentations augs)` The end of a namespace prefix mapping.
`void` | `endValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint, int initialDepth)` Ends the value scope for the specified identity constraint.
`XMLDocumentHandler` | `getDocumentHandler()` Returns the document handler
`XMLDocumentSource` | `getDocumentSource()` Returns the document source
`java.lang.String[]` | `getRecognizedFeatures()` Returns a list of feature identifiers that are recognized by this component.
`java.lang.String[]` | `getRecognizedProperties()` Returns a list of property identifiers that are recognized by this component.
`void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Ignorable whitespace.
`void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augs)` A processing instruction.
`void` | `reset(XMLComponentManager componentManager)`
`void` | `setBaseURI(java.lang.String base)`
`void` | `setDocumentHandler(XMLDocumentHandler documentHandler)` Sets the document handler to receive information about the document.
`void` | `setDocumentSource(XMLDocumentSource source)` Sets the document source
`void` | `setFeature(java.lang.String featureId, boolean state)` Sets the state of a feature.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` Sets the value of a property.
`void` | `startCDATA(Augmentations augs)` The start of a CDATA section.
`void` | `startDocument(XMLLocator locator, java.lang.String encoding, Augmentations augs)` The start of the document.
`void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` The start of an element.
`void` | `startGeneralEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augs)` This method notifies the start of a general entity.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, Augmentations augs)` The start of a namespace prefix mapping.
`void` | `startValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint, int initialDepth)` Start the value scope for the specified identity constraint.
`void` | `textDecl(java.lang.String version, java.lang.String encoding, Augmentations augs)` Notifies of the presence of a TextDecl line in an entity.
`void` | `xmlDecl(java.lang.String version, java.lang.String encoding, java.lang.String standalone, Augmentations augs)` Notifies of the presence of an XMLDecl line in the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACES

    protected static final java.lang.String NAMESPACES

### VALIDATION

    protected static final java.lang.String VALIDATION

  Feature identifier: validation.

### SCHEMA_VALIDATION

    protected static final java.lang.String SCHEMA_VALIDATION

  Feature identifier: validation.

### SCHEMA_FULL_CHECKING

    protected static final java.lang.String SCHEMA_FULL_CHECKING

  Feature identifier: schema full checking

### DYNAMIC_VALIDATION

    protected static final java.lang.String DYNAMIC_VALIDATION

  Feature identifier: dynamic validation.

### NORMALIZE_DATA

    protected static final java.lang.String NORMALIZE_DATA

  Feature identifier: expose schema normalized value

### SCHEMA_ELEMENT_DEFAULT

    protected static final java.lang.String SCHEMA_ELEMENT_DEFAULT

  Feature identifier: send element default value via characters()

### ALLOW_JAVA_ENCODING

    protected static final java.lang.String ALLOW_JAVA_ENCODING

  Feature identifier: whether to recognize java encoding names

### SYMBOL_TABLE

    public static final java.lang.String SYMBOL_TABLE

  Property identifier: symbol table.

### ERROR_REPORTER

    public static final java.lang.String ERROR_REPORTER

  Property identifier: error reporter.

### ENTITY_RESOLVER

    public static final java.lang.String ENTITY_RESOLVER

  Property identifier: entity resolver.

### XMLGRAMMAR_POOL

    public static final java.lang.String XMLGRAMMAR_POOL

  Property identifier: grammar pool.

### VALIDATION_MANAGER

    protected static final java.lang.String VALIDATION_MANAGER

### ENTITY_MANAGER

    protected static final java.lang.String ENTITY_MANAGER

### SCHEMA_LOCATION

    protected static final java.lang.String SCHEMA_LOCATION

  Property identifier: schema location.

### SCHEMA_NONS_LOCATION

    protected static final java.lang.String SCHEMA_NONS_LOCATION

  Property identifier: no namespace schema location.

### JAXP_SCHEMA_SOURCE

    protected static final java.lang.String JAXP_SCHEMA_SOURCE

  Property identifier: JAXP schema source.

### ID_CONSTRAINT_NUM

    protected static final int ID_CONSTRAINT_NUM

### fSeenRoot

    protected boolean fSeenRoot

### fNamespaces

    protected boolean fNamespaces

### fElemPSVI

    protected final ElementPSVImpl fElemPSVI

  PSV infoset information for element

### fCurrentPSVI

    protected ElementPSVImpl fCurrentPSVI

  current PSVI element info

### fAugmentations

    protected final AugmentationsImpl fAugmentations

### fDefaultValue

    protected XMLString fDefaultValue

### fValidation

    protected boolean fValidation

  Validation.

### fDynamicValidation

    protected boolean fDynamicValidation

### fDoValidation

    protected boolean fDoValidation

### fFullChecking

    protected boolean fFullChecking

### fNormalizeData

    protected boolean fNormalizeData

### fSchemaElementDefault

    protected boolean fSchemaElementDefault

### fEntityRef

    protected boolean fEntityRef

### fInCDATA

    protected boolean fInCDATA

### fSymbolTable

    protected SymbolTable fSymbolTable

  Symbol table.

### fXSIErrorReporter

    protected weblogic.apache.xerces.impl.xs.XMLSchemaValidator.XSIErrorReporter fXSIErrorReporter

  Error reporter.

### fEntityResolver

    protected XMLEntityResolver fEntityResolver

  Entity resolver

### fValidationManager

    protected ValidationManager fValidationManager

### fValidationState

    protected ValidationState fValidationState

### fGrammarPool

    protected XMLGrammarPool fGrammarPool

### fExternalSchemas

    protected java.lang.String fExternalSchemas

### fExternalNoNamespaceSchema

    protected java.lang.String fExternalNoNamespaceSchema

### fJaxpSchemaSource

    protected java.lang.Object fJaxpSchemaSource

### fXSDDescription

    protected final XSDDescription fXSDDescription

  Schema Grammar Description passed, to give a chance to application to supply the Grammar

### fLocationPairs

    protected final java.util.Hashtable fLocationPairs

### fNoNamespaceLocationArray

    protected final weblogic.apache.xerces.impl.xs.XMLSchemaLoader.LocationArray fNoNamespaceLocationArray

### fBaseURI

    protected java.lang.String fBaseURI

  Base URI for the DOM revalidation

### fDocumentHandler

    protected XMLDocumentHandler fDocumentHandler

  Document handler.

### fDocumentSource

    protected XMLDocumentSource fDocumentSource

### fMatcherStack

    protected XMLSchemaValidator.XPathMatcherStack fMatcherStack

  Stack of active XPath matchers for identity constraints. All active XPath matchers are notified of startElement and endElement callbacks in order to perform their matches.

  For each element with identity constraints, the selector of each identity constraint is activated. When the selector matches its XPath, then all the fields of the identity constraint are activated.

  Note: Once the activation scope is left, the XPath matchers are automatically removed from the stack of active matchers and no longer receive callbacks.

### fValueStoreCache

    protected XMLSchemaValidator.ValueStoreCache fValueStoreCache

  Cache of value stores for identity constraint fields.

Constructor Detail

### XMLSchemaValidator

    public XMLSchemaValidator()

  Default constructor.

Method Detail

### getRecognizedFeatures

    public java.lang.String[] getRecognizedFeatures()

  Returns a list of feature identifiers that are recognized by this component. This method may return null if no features are recognized by this component.
  Specified by:
    getRecognizedFeatures in interface XMLComponent

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Specified by:
    setFeature in interface XMLComponent

  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    SAXNotRecognizedException - The component should not throw this exception.
    SAXNotSupportedException - The component should not throw this exception.

### getRecognizedProperties

    public java.lang.String[] getRecognizedProperties()

  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.
  Specified by:
    getRecognizedProperties in interface XMLComponent

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws XMLConfigurationException

  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Specified by:
    setProperty in interface XMLComponent

  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    SAXNotRecognizedException - The component should not throw this exception.
    SAXNotSupportedException - The component should not throw this exception.

### setDocumentHandler

    public void setDocumentHandler(XMLDocumentHandler documentHandler)

  Sets the document handler to receive information about the document.

### getDocumentHandler

    public XMLDocumentHandler getDocumentHandler()

  Returns the document handler

### setDocumentSource

    public void setDocumentSource(XMLDocumentSource source)

  Sets the document source

### getDocumentSource

    public XMLDocumentSource getDocumentSource()

  Returns the document source

### startDocument

    public void startDocument(XMLLocator locator,
                              java.lang.String encoding,
                              Augmentations augs)
                       throws XNIException

  The start of the document.

  Parameters:
    `locator` - The system identifier of the entity if the entity is external, null otherwise.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### xmlDecl

    public void xmlDecl(java.lang.String version,
                        java.lang.String encoding,
                        java.lang.String standalone,
                        Augmentations augs)
                 throws XNIException

  Notifies of the presence of an XMLDecl line in the document. If present, this method will be called immediately following the startDocument call.

  Parameters:
    `version` - The XML version.
    `encoding` - The IANA encoding name of the document, or null if not specified.
    `standalone` - The standalone value, or null if not specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### doctypeDecl

    public void doctypeDecl(java.lang.String rootElement,
                            java.lang.String publicId,
                            java.lang.String systemId,
                            Augmentations augs)
                     throws XNIException

  Notifies of the presence of the DOCTYPE line in the document.

  Parameters:
    `rootElement` - The name of the root element.
    `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
    `systemId` - The system identifier if an external DTD, null otherwise.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri,
                                   Augmentations augs)
                            throws XNIException

  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### startElement

    public void startElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  The start of an element.

  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### emptyElement

    public void emptyElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  An empty element.

  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### characters

    public void characters(XMLString text,
                           Augmentations augs)
                    throws XNIException

  Character content.

  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### ignorableWhitespace

    public void ignorableWhitespace(XMLString text,
                                    Augmentations augs)
                             throws XNIException

  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.

  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### endElement

    public void endElement(QName element,
                           Augmentations augs)
                    throws XNIException

  The end of an element.

  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix,
                                 Augmentations augs)
                          throws XNIException

  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Parameters:
    `prefix` - The namespace prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### startCDATA

    public void startCDATA(Augmentations augs)
                    throws XNIException

  The start of a CDATA section.

  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### endCDATA

    public void endCDATA(Augmentations augs)
                  throws XNIException

  The end of a CDATA section.

  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  The end of the document.

  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### setBaseURI

    public void setBaseURI(java.lang.String base)

  Specified by:
    setBaseURI in interface RevalidationHandler

### characterData

    public boolean characterData(java.lang.String data,
                                 Augmentations augs)

  Specified by:
    characterData in interface RevalidationHandler

### elementDefault

    public void elementDefault(java.lang.String data)

### startGeneralEntity

    public void startGeneralEntity(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   java.lang.String encoding,
                                   Augmentations augs)
                            throws XNIException

  This method notifies the start of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the general entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### textDecl

    public void textDecl(java.lang.String version,
                         java.lang.String encoding,
                         Augmentations augs)
                  throws XNIException

  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  A comment.

  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### endGeneralEntity

    public void endGeneralEntity(java.lang.String name,
                                 Augmentations augs)
                          throws XNIException

  This method notifies the end of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.

### reset

    public void reset(XMLComponentManager componentManager)
               throws XMLConfigurationException

  Specified by:
    reset in interface XMLComponent

### startValueScopeFor

    public void startValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint,
                                   int initialDepth)
                            throws XNIException

  Start the value scope for the specified identity constraint. This method is called when the selector matches in order to initialize the value store.
  Specified by:
    startValueScopeFor in interface weblogic.apache.xerces.impl.xs.identity.FieldActivator

  Parameters:
    `identityConstraint` - The identity constraint.

### activateField

    public weblogic.apache.xerces.impl.xs.identity.XPathMatcher activateField(weblogic.apache.xerces.impl.xs.identity.Field field,
                                                                              int initialDepth)

  Request to activate the specified field. This method returns the matcher for the field.
  Specified by:
    activateField in interface weblogic.apache.xerces.impl.xs.identity.FieldActivator

  Parameters:
    `field` - The field to activate.

### endValueScopeFor

    public void endValueScopeFor(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint identityConstraint,
                                 int initialDepth)
                          throws XNIException

  Ends the value scope for the specified identity constraint.
  Specified by:
    endValueScopeFor in interface weblogic.apache.xerces.impl.xs.identity.FieldActivator

  Parameters:
    `identityConstraint` - The identity constraint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD